KSET_FIND_OBJ(9)

NAME
kset_find_obj - search for object in kset.

SYNOPSIS

struct kobject * kset_find_obj (struct kset * kset, const char * name);

ARGUMENTS

kset
    kset we're looking in.

name
    object's name.

DESCRIPTION

Lock kset via kset->subsys, and iterate over kset->list, looking for a matching kobject. If matching object is found take a reference and return the object.